using System;
using System.Collections.Generic;

namespace Monithor.api {
	public class StatusPage {
		public readonly string Name;
		public readonly string Route;

		public readonly List<(IMonitor monitor, string displayName)> Monitors;

		public StatusPage(string name, string route, List<(IMonitor, string)> monitors) {
			Name     = name;
			Route    = route;
			Monitors = monitors;
		}
	}
}